<?php
 /**
 * Enqueue scripts and styles.
 */
function electromix_scripts() {
	
	// Styles	
	wp_enqueue_style('electromix-fonts-family', get_template_directory_uri() . '/assets/css/fonts.min.css');

	wp_enqueue_style('electromix-animate-min', get_template_directory_uri() . '/assets/css/animate.min.css');
	
	wp_enqueue_style('electromix-default', get_template_directory_uri() . '/assets/css/color/default.css');
	
	wp_enqueue_style('magnific-popup-min', get_template_directory_uri() . '/assets/css/magnific-popup.min.css');
	
	wp_enqueue_style('font-awesome',get_template_directory_uri().'/assets/css/all.min.css');
	
	wp_enqueue_style('owl-carousel-min',get_template_directory_uri().'/assets/css/owl.carousel.min.css');
	
	wp_enqueue_style('tiny-slider',get_template_directory_uri().'/assets/css/tiny-slider.css');
	
	wp_enqueue_style('bootstrap-min',get_template_directory_uri().'/assets/css/bootstrap.min.css');
			
	wp_enqueue_style('electromix-editor',get_template_directory_uri().'/assets/css/editor-style.css');
	
	wp_enqueue_style('electromix-theme',get_template_directory_uri().'/assets/css/theme.css');
	
	wp_enqueue_style('electromix-meanmenu',get_template_directory_uri().'/assets/css/meanmenu.css');

	wp_enqueue_style('electromix-main-min', get_template_directory_uri() . '/assets/css/main.css');	
	
	wp_enqueue_style('electromix-widgets',get_template_directory_uri().'/assets/css/widgets.css');
	
	wp_enqueue_style('electromix-block-widgets',get_template_directory_uri().'/assets/css/block-widgets.css');
	
	wp_enqueue_style('electromix-lagecy-widgets',get_template_directory_uri().'/assets/css/lagecy-widgets.css');
	
	wp_enqueue_style('electromix-featured-categories',get_template_directory_uri().'/assets/css/featured/featured-category.css');
	
	wp_enqueue_style('electromix-featured-product',get_template_directory_uri().'/assets/css/featured/featured-product.css');

	wp_enqueue_style('electromix-media-query', get_template_directory_uri() . '/assets/css/responsive.css');	
	
	wp_enqueue_style( 'electromix-style', get_stylesheet_uri() );
	
	// Scripts
	wp_enqueue_script( 'jquery' );

	wp_enqueue_script('wow-min', get_template_directory_uri() . '/assets/js/wow.min.js', array('jquery'), false , array('in_footer' => true, 'strategy'=>'defer'));
	
	wp_enqueue_script('magnific-popup', get_template_directory_uri() . '/assets/js/magnific-popup.js', array('jquery'), false , array('in_footer' => true, 'strategy'=>'defer'));
	
	wp_enqueue_script('masonry-min', get_template_directory_uri() . '/assets/js/masonry.min.js', array('jquery'), false , array('in_footer' => true, 'strategy'=>'defer'));
	
	wp_enqueue_script('waypoints-min', get_template_directory_uri() . '/assets/js/waypoints.min.js', array('jquery'), false , array('in_footer' => true, 'strategy'=>'defer'));
	
	wp_enqueue_script('counterup-min', get_template_directory_uri() . '/assets/js/counterup.min.js', array('jquery'), false , array('in_footer' => true, 'strategy'=>'defer'));
	
	wp_enqueue_script('bootstrap-min', get_template_directory_uri() . '/assets/js/bootstrap.bundle.min.js', array('jquery'), false , array('in_footer' => true, 'strategy'=>'defer'));
	
	wp_enqueue_script('owl-carousel-min', get_template_directory_uri() . '/assets/js/owl.carousel.min.js', array('jquery'), false , false);
	
	wp_enqueue_script('tiny-slider-min', get_template_directory_uri() . '/assets/js/tiny-slider.min.js', array('jquery'), false , false);
		
	wp_enqueue_script('electromix-custom', get_template_directory_uri() . '/assets/js/custom.js', array('jquery'), false , array('in_footer' => true, 'strategy'=>'defer'));

	if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
		wp_enqueue_script( 'comment-reply' );
	}
}
add_action( 'wp_enqueue_scripts', 'electromix_scripts' );